<!--
    Copyright 2010,2011  Simon Goodchild  (info@wpsymposium.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as 
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
-->

<?php
	
	global $wpdb;

	// Store any new values
    if( isset($_POST[ 'symposium_update' ]) && $_POST[ 'symposium_update' ] == 'symposium_facebook_menu' ) {
    	    	        
        $facebook_api = $_POST[ 'facebook_api' ];
        $facebook_secret = $_POST[ 'facebook_secret' ];

		$wpdb->query( $wpdb->prepare("UPDATE ".$wpdb->prefix.'symposium_config'." SET facebook_api = '".$facebook_api."'") );					
		$wpdb->query( $wpdb->prepare("UPDATE ".$wpdb->prefix.'symposium_config'." SET facebook_secret = '".$facebook_secret."'") );					

        // Put an settings updated message on the screen
		echo "<div class='updated slideaway'><p>".__('Facebook options saved', 'wp-symposium-facebook').".</p></div>";

    }

    // Get values from database  
	$config = $wpdb->get_row($wpdb->prepare("SELECT facebook_api, facebook_secret FROM ".$wpdb->prefix.'symposium_config'));
	$facebook_api = $config->facebook_api;
	$facebook_secret = $config->facebook_secret;

  	echo '<div class="wrap">';

	  	echo '<div id="icon-themes" class="icon32"><br /></div>';
	  	echo '<h2>Facebook Shared Status</h2>';

		?>

		<div class="metabox-holder"><div id="toc" class="postbox"> 

			<h3>Installation</h3>

			<div style="margin:10px">
			<p><?php _e("A Facebook application is used to post messages to Facebook Walls - you need to create a Facebook application for your website:", "wp-symposium-facebook") ?></p>

			<ol>
				<li>Log in to Facebook</li>
				<li>Go <a target='_blank' href='http://www.facebook.com/developers/apps.php'>here</a>.</li>
				<li>Click on Set Up New App button</li>
				<li>Enter an Application Name (that will appear under Facebook Wall posts), and enter security test</li>
				<li>Click on Website and enter your website URL (eg: http://www.example.com/) and save changes on Facebook.</li>
				<li>Copy the Application ID and Application Secret below</li>
				<li>Save Changes</li>
			</ol>
			</div>
	
			<h3>Facebook Application values</h3>
		
			<form method="post" action=""> 
			<input type="hidden" name="symposium_update" value="symposium_facebook_menu">

			<table class="form-table"> 

				<tr valign="top"> 
				<td scope="row"><label for="facebook_api"><?php _e('Facebook Application ID', 'wp-symposium-facebook'); ?></label></td> 
				<td><input name="facebook_api" type="text" id="facebook_api"  value="<?php echo $facebook_api; ?>" style="width:250px" /> 
				<span class="description"><?php echo __('Also called your OAuth client_id', 'wp-symposium-facebook'); ?></td> 
				</tr> 

				<tr valign="top"> 
				<td scope="row"><label for="facebook_secret"><?php _e('Facebook Application Secret', 'wp-symposium-facebook'); ?></label></td> 
				<td><input name="facebook_secret" type="text" id="facebook_secret"  value="<?php echo $facebook_secret; ?>" style="width:250px" /> 
				<span class="description"><?php echo __('Also called your OAuth client_secret', 'wp-symposium-facebook'); ?></td> 
				</tr> 

			<?php
			echo '</table>';
	 					
			echo '<p class="submit" style="margin-left:6px;">';
			echo '<input type="submit" name="Submit" class="button-primary" value="'.__('Save Changes', 'wp-symposium-facebook').'" />';
			echo '</p>';
			echo '</form>';
			
	echo '</div></div></div>';
	
?>
