jQuery(document).ready(function() { 	

	if (symposium.q == '&amp;') {
		symposium.q = '&';
	}

	// Get translations	
	var browseforfile = jQuery("#symposium_browseforfile").html();
	var attachfile = jQuery("#symposium_attachfile").html();
	var areyousure = jQuery("#symposium_areyousure").html();

	/*
	   +------------------------------------------------------------------------------------------+
	   |                                          GROUP                                           |
	   +------------------------------------------------------------------------------------------+
	*/

	// Menu choices
	jQuery(".symposium_group_menu").live('click', function() {
		
		var menu_id = jQuery(this).attr("id");

		if (menu_id == 'group_menu_all') {
			window.location.href=symposium.groups_url;
		} else {

			jQuery('#group_body').html("<img src='"+symposium.plugin_url+"/images/busy.gif' />");
                
			if (menu_id != 'group_menu_forum') {

				jQuery.ajax({
					url: symposium.plugin_pro_url+"groups/ajax/symposium_group_functions.php", 
					type: "POST",
					data: ({
						action:menu_id,
						post:'',
						limit_from:0,
						uid1:symposium.current_group
					}),
				    dataType: "html",
					success: function(str){
						jQuery('#group_body').html(str);
						
						var user_login = jQuery("#symposium_user_login").html();
						var user_email = jQuery("#symposium_user_email").html();
				
						jQuery('#file_upload').uploadify({
						    'uploader'  : symposium.plugin_pro_url+'groups/uploadify/uploadify.swf',
							'buttonText': browseforfile,
						    'script'    : symposium.plugin_pro_url+'groups/uploadify/upload_group_avatar.php',
						    'cancelImg' : symposium.plugin_pro_url+'groups/uploadify/cancel.png',
						    'auto'      : true,
							'fileExt'   : '*.jpg;*.gif;*.png;*.jpeg;',
							'scriptData' : {'gid':symposium.current_group, 'user_login':user_login, 'user_email':user_email, 'uid':symposium.current_user_id}, 
							'onError' 	: function(event, ID, fileObj, errorObj) {
											 alert("Error: "+errorObj.type+" "+errorObj.info);
		      							  },
							'onComplete': function(event, queueID, fileObj, response, data) { 
								jQuery('#group_image_to_crop').html(response);

								jQuery('#profile_jcrop_target').Jcrop({
									onChange: showPreview,
									onSelect: showPreview
								});

							}
					   	});
	   		   					
					}
		   		});
		
			} else {
				
					
				jQuery.ajax({
					url: symposium.plugin_url+"ajax/symposium_forum_functions.php", 
					type: "POST",
					data: ({
						action:'getForum',
						limit_from:0,
						cat_id:symposium.cat_id,
						topic_id:symposium.show_tid,
						group_id:symposium.current_group
					}),
				    dataType: "html",
					async: true,
					success: function(str){

						str = trim(str);
						jQuery("#group_body").html(str);
						
						var user_login = jQuery("#symposium_user_login").html();
						var user_email = jQuery("#symposium_user_email").html();
						
						// Enable file uploading
						jQuery('#forum_file_upload').uploadify({
						    'uploader'  : symposium.plugin_url+'uploadify/uploadify.swf',
							'buttonText': browseforfile,
						    'script'    : symposium.plugin_url+'uploadify/upload_forum_file.php', 
							'fileExt'   : '*.jpg;*.gif;*.png;*.jpeg;',
						    'cancelImg' : symposium.plugin_url+'uploadify/cancel.png',
						    'auto'      : true,
							'scriptData' : {'tid':symposium.show_tid, 'user_login':user_login, 'user_email':user_email, 'uid':symposium.current_user_id}, 
							'onError' 	: function(event, ID, fileObj, errorObj) {
											 	alert("Error: "+errorObj.type+" "+errorObj.info);
		      							  },
		      				'onComplete': function(event, queueID, fileObj, response, data) { 
												jQuery('#forum_file_list').html(response);
										  }

					   	});

						if (typeof colorbox == 'object') {
		    	      		jQuery("a[rel='symposium_forum_images-"+symposium.show_tid+"']").colorbox({transition:"none", width:"75%", height:"75%", photo:true});						
						}

						// Set up auto-expanding textboxes
						if (jQuery(".elastic").length) {	
							jQuery('.elastic').elastic();
						}

					},
					error: function(err){
						//alert("getForum:"+err);
					}		
		   		});
					
			}	
		}
		
	});

	function showPreview(coords)
	{
		var rx = 100 / coords.w;
		var ry = 100 / coords.h;

		jQuery('#x').val(coords.x);
		jQuery('#y').val(coords.y);
		jQuery('#x2').val(coords.x2);
		jQuery('#y2').val(coords.y2);
		jQuery('#w').val(coords.w);
		jQuery('#h').val(coords.h);
			
		jQuery('#profile_preview').css({
			width: Math.round(rx * jQuery('#profile_jcrop_target').width()) + 'px',
			height: Math.round(ry * jQuery('#profile_jcrop_target').height()) + 'px',
			marginLeft: '-' + Math.round(rx * coords.x) + 'px',
			marginTop: '-' + Math.round(ry * coords.y) + 'px'
		});
	};

	// Act on "view" parameter on first page load
	if ((symposium.cat_id != '') && (symposium.cat_id) && (symposium.current_group > 0)) {
		
		// Forum parameter passed, show forum
		var sub = "getForum";
		if (symposium.show_tid > 0) {
			var sub = "getTopic";
		}
		jQuery.ajax({
			url: symposium.plugin_url+"ajax/symposium_forum_functions.php", 
			type: "POST",
			data: ({
				action:sub,
				limit_from:0,
				cat_id:symposium.cat_id,
				topic_id:symposium.show_tid,
				group_id:symposium.current_group
			}),
		    dataType: "html",
			async: true,
			success: function(str){
				if (str != 'DONTSHOW') {					
					str = trim(str);
					jQuery("#group_body").html(str);
	
					var user_login = jQuery("#symposium_user_login").html();
					var user_email = jQuery("#symposium_user_email").html();
					
					// Enable file uploading
					jQuery('#forum_file_upload').uploadify({
					    'uploader'  : symposium.plugin_url+'uploadify/uploadify.swf',
						'buttonText': browseforfile,
					    'script'    : symposium.plugin_url+'uploadify/upload_forum_file.php', 
						'fileExt'   : '*.jpg;*.gif;*.png;*.jpeg;',
					    'cancelImg' : symposium.plugin_url+'uploadify/cancel.png',
					    'auto'      : true,
						'scriptData' : {'tid':symposium.show_tid, 'user_login':user_login, 'user_email':user_email, 'uid':symposium.current_user_id}, 
						'onError' 	: function(event, ID, fileObj, errorObj) {
										 	alert("Error: "+errorObj.type+" "+errorObj.info);
	      							  },
	      				'onComplete': function(event, queueID, fileObj, response, data) { 
											jQuery('#forum_file_list').html(response);
									  }
	
				   	});
				
					if (typeof colorbox == 'object') {
	    	      		jQuery("a[rel='symposium_forum_images-"+symposium.show_tid+"']").colorbox({transition:"none", width:"75%", height:"75%", photo:true});						
					}
	
					// Set up auto-expanding textboxes
					if (jQuery(".elastic").length) {	
						jQuery('.elastic').elastic();
					}
				}

			},
			error: function(err){
				//alert("getForum:"+err);
			}		
   		});
	} else {
		// Load defaut page
		if (jQuery("#force_group_page").length) {
			
			if(jQuery("#force_group_page").html() != '') {
				
				var menu_id = 'group_menu_'+jQuery('#force_group_page').html();
	
				jQuery.ajax({
					url: symposium.plugin_pro_url+"groups/ajax/symposium_group_functions.php", 
					type: "POST",
					data: ({
						action:menu_id,
						post:symposium.post,
						limit_from:0,
						uid1:symposium.current_group,
						uid2:symposium.current_user_id				
					}),
				    dataType: "html",
					success: function(str){
						jQuery('#group_body').html(str);
					}
		   		});	
	
	   		}
		}
	}
	
	// Delete group member
	jQuery(".delete_group_member").live('click', function() {

		if (confirm("Are you sure?")) {

			var id = jQuery(this).attr("title");
			jQuery(this).parent().parent().slideUp("slow");

			jQuery.ajax({
				url: symposium.plugin_pro_url+"groups/ajax/symposium_group_functions.php", 
				type: "POST",
				data: ({
					action:"member_delete",
					group_id:symposium.current_group,
					id:id
				}),
			    dataType: "html",
				success: function(str){
				}
	   		});	
	   		
		}
	});
	
	
	// Clicked on show more...
	jQuery("#showmore_group_wall").live('click', function() {
		
		var limit_from = jQuery(this).attr("title");
		jQuery('#showmore_group_wall').html("<img src='"+symposium.plugin_url+"/images/busy.gif' />");

		jQuery.ajax({
			url: symposium.plugin_pro_url+"groups/ajax/symposium_group_functions.php", 
			type: "POST",
			data: ({
				action:menu_id,
				post:'',
				limit_from:limit_from,
				uid1:symposium.current_group,
				uid2:symposium.current_user_id				
			}),
		    dataType: "html",
			success: function(str){
				jQuery('#showmore_group_wall').remove();
				jQuery(str).appendTo('#group_body').hide().slideDown("slow");
			}
   		});	

	});
	
	// new post to group wall
	jQuery('#symposium_group_comment').live('keypress', function (e) {
		if ( e.keyCode == 13 ){

			var comment_text = jQuery("#symposium_group_comment").val();
			jQuery("#symposium_group_comment").val('');
		
			var comment = "<div class='add_wall_post_div' style='"
			if (symposium.row_border_size != '') { 
				comment = comment + " border-top:"+symposium.row_border_size+"px "+symposium.row_border_style+" "+symposium.text_color_2+";"; 
			}
			comment = comment + "'>";
			comment = comment + "<div class='add_wall_post'>";
			comment = comment + "<div class='add_wall_post_text'>";
			comment = comment + '<a href="'+symposium.profile_url+symposium.q.substring(0, 1)+'uid='+symposium.current_user_id+'">';
			comment = comment + symposium.current_user_display_name+'</a><br />';
			comment = comment + comment_text;
			comment = comment + "</div>";
			comment = comment + "</div>";			
			comment = comment + "<div class='add_wall_post_avatar'>";
			comment = comment + "<img src='"+jQuery('#symposium_current_user_avatar img:first').attr('src')+"' style='width:64px; height:64px' />";
			comment = comment + "</div>";	

			jQuery("#symposium_comment").val('');
			jQuery(comment).prependTo('#symposium_wall');
		
			jQuery.ajax({
				url: symposium.plugin_pro_url+"groups/ajax/symposium_group_functions.php", 
				type: "POST",
				data: ({
					action:"group_addStatus",
					subject_uid:symposium.current_group,
					author_uid:symposium.current_user_id,
					parent:0,
					text:comment_text
				}),
			    dataType: "html",
				async: true
	   		});
		}
   	});	

	// new reply
	jQuery('.reply_field').live('keypress', function (e) {
		if ( e.keyCode == 13 ){
		
			var comment_id = jQuery(this).attr("title");
			var author_id = jQuery('#symposium_author_'+comment_id).val();
			var comment_text = jQuery("#symposium_reply_"+comment_id).val();

			jQuery("#symposium_reply_"+comment_id).val('');
		
			var comment = "<div class='reply_div'>";
			comment = comment + "<div class='wall_reply_div'";
			if (symposium.bg_color_2 != '') { comment = comment + " style='background-color:"+symposium.bg_color_2+"'"; }
			comment = comment + ">";
			comment = comment + "<div class='wall_reply'>";
			comment = comment + '<a href="'+symposium.profile_url+symposium.q.substring(0, 1)+'uid='+symposium.current_user_id+'">';
			comment = comment + symposium.current_user_display_name+'</a><br />';
			comment = comment + comment_text;
			comment = comment + "</div>";
			comment = comment + "</div>";			
			comment = comment + "<div class='wall_reply_avatar'>";
			comment = comment + "<img src='"+jQuery('#symposium_current_user_avatar img:first').attr('src')+"' style='width:40px; height:40px' />";
			comment = comment + "</div>";	
			comment = comment + "</div>";

			jQuery(comment).appendTo('#symposium_comment_'+comment_id);
			jQuery("#symposium_reply_"+comment_id).val('');
		
			jQuery.ajax({
				url: symposium.plugin_pro_url+"groups/ajax/symposium_group_functions.php", 
				type: "POST",
				data: ({
					action:"group_addComment",
					uid:symposium.current_group,
					parent:comment_id,
					text:comment_text
				}),
			    dataType: "html",
				async: true
	   		});
   		}
   	});	   	


	// update group settings
	jQuery("#updateGroupSettingsButton").live('click', function() {
		jQuery(".symposium_notice").inmiddle().show();
		
		if (jQuery("#private").is(":checked")) {
			var private = 'on';
		} else {
			var private = '';
		}
		
		if (jQuery("#content_private").is(":checked")) {
			var content_private = 'on';
		} else {
			var content_private = '';
		}

		if (jQuery("#group_forum").is(":checked")) {
			var group_forum = 'on';
		} else {
			var group_forum = '';
		}

		if (jQuery("#show_forum_default").is(":checked")) {
			var show_forum_default = 'on';
		} else {
			var show_forum_default = '';
		}

		if (jQuery("#allow_new_topics").is(":checked")) {
			var allow_new_topics = 'on';
		} else {
			var allow_new_topics = '';
		}

		if (jQuery("#new_member_emails").is(":checked")) {
			var new_member_emails = 'on';
		} else {
			var new_member_emails = '';
		}
		
		var group_admin = jQuery("#transfer_admin").val();

		jQuery("#group_name").html(jQuery("#groupname").val());
		jQuery("#group_description").html(jQuery("#groupdescription").val());
		
		jQuery.ajax({
			url: symposium.plugin_pro_url+"groups/ajax/symposium_group_functions.php", 
			type: "POST",
			data: ({
				action:"updateGroupSettings",
				gid:symposium.current_group,
				groupname:jQuery("#groupname").val(),
				groupdescription:jQuery("#groupdescription").val(),
				private:private,
				content_private:content_private,	
				group_forum:group_forum,	
				show_forum_default:show_forum_default,	
				allow_new_topics:allow_new_topics,
				group_admin:group_admin,
				new_member_emails:new_member_emails,
				x:jQuery("#x").val(),
				y:jQuery("#y").val(),
				w:jQuery("#w").val(),
				h:jQuery("#h").val()
				}),
		    dataType: "html",
			async: true,
			success: function(str){
					if (trim(str) == 'reload') {
						location.reload();
					} else {
						jQuery(".symposium_notice").fadeOut("slow");
					}
				},
			error: function(err){
				alert("updateGroupSettings:"+err);
			}		
   		});
   			
   	});		
   	
   	// Join group
	jQuery("#groups_join_button").live('click', function() {

		jQuery(".symposium_pleasewait").inmiddle().show();
		
		jQuery("#groups_join_button").hide();
		
		jQuery.ajax({
			url: symposium.plugin_pro_url+"groups/ajax/symposium_group_functions.php", 
			type: "POST",
			data: ({
				action:"joinGroup",
				gid:symposium.current_group
			}),
		    dataType: "html",
			async: false,
			success: function(str){
				if (str != '') {
					alert(str);
				}
				jQuery("#groups_join_button_done").effect("highlight", {}, 3000);
				location.reload();
			}			
   		});

	});
	
   	// Delete group
	jQuery("#groups_delete_button").live('click', function() {
		
	  	var answer = confirm("This cannot be un-done - are you really sure?");

	  	if (answer) {

			jQuery("#groups_delete_button").hide();
			jQuery("#groups_delete_button_done").effect("highlight", {}, 3000);
			
			jQuery(".symposium_pleasewait").inmiddle().show();
		
			jQuery.ajax({
				url: symposium.plugin_pro_url+"groups/ajax/symposium_group_functions.php", 
				type: "POST",
				data: ({
					action:"deleteGroup",
					gid:symposium.current_group
				}),
			    dataType: "html",
				async: false,
				success: function(str){
					window.location.href=symposium.groups_url;
				}
	   		});

	   		
	  	}

	});
	
   	// Leave group
	jQuery("#groups_leave_button").live('click', function() {
		
		if (confirm(areyousure)) {
		
			jQuery(".symposium_pleasewait").inmiddle().show();
			jQuery("#groups_leave_button").hide();
			
			jQuery.ajax({
				url: symposium.plugin_pro_url+"groups/ajax/symposium_group_functions.php", 
				type: "POST",
				data: ({
					action:"leaveGroup",
					gid:symposium.current_group
				}),
			    dataType: "html",
				async: false,
				success: function(str){
					jQuery("#groups_leave_button_done").effect("highlight", {}, 3000);
					location.reload();
				}			
				
	   		});
		}

	});

	// Subscribe/unsubscribe
	jQuery("#group_notify").live('click', function() {
		jQuery(".symposium_notice").inmiddle().show();

		if (jQuery("#group_notify").is(":checked")) {
			var group_notify = 'on';
		} else {
			var group_notify = '';
		}
		
		jQuery.ajax({
			url: symposium.plugin_pro_url+"groups/ajax/symposium_group_functions.php", 
			type: "POST",
			data: ({
				action:"group_subscribe",
				notify:group_notify,
				gid:symposium.current_group
			}),
		    dataType: "html",
			async: true,
			success: function(str){
				jQuery(".symposium_notice").fadeOut("slow");
			}
   		});  		
	});

	// reject a group request
	jQuery("#rejectgrouprequest").live('click', function() {
		jQuery(".symposium_notice").inmiddle().show();

		jQuery.ajax({
			url: symposium.plugin_pro_url+"groups/ajax/symposium_group_functions.php", 
			type: "POST",
			data: ({
				action:"rejectGroup",
				uid:jQuery(this).attr("title"),
				gid:symposium.current_group
			}),
		    dataType: "html",
			async: true,
			success: function(str){
				if (str != 'NOT LOGGED IN') {
					jQuery("#request_"+str).slideUp("slow");
				}
				jQuery(".symposium_notice").fadeOut("slow");
			},
			error: function(err){
				//alert("rejectGroup:"+err);
			}		
   		});
   			
   	});	
   		
	// accept a group request
	jQuery("#acceptgrouprequest").live('click', function() {
		jQuery(".symposium_notice").inmiddle().show();

		jQuery.ajax({
			url: symposium.plugin_pro_url+"groups/ajax/symposium_group_functions.php", 
			type: "POST",
			data: ({
				action:"acceptGroup",
				uid:jQuery(this).attr("title"),
				gid:symposium.current_group
			}),
		    dataType: "html",
			async: true,
			success: function(str){
				if (str != 'NOT LOGGED IN') {
					jQuery("#request_"+str).slideUp("slow");
				}
				jQuery(".symposium_notice").fadeOut("slow");
			},
			error: function(err){
				//alert("rejectGroup:"+err);
			}		
   		});
   			
   	});	
   		
   	/*
	   +------------------------------------------------------------------------------------------+
	   |                                          GROUPS                                          |
	   +------------------------------------------------------------------------------------------+
	*/

	if (jQuery("input#group").length) {
		
		jQuery("input#group").autocomplete({
				source: symposium.plugin_pro_url+"groups/ajax/symposium_groups_functions.php",
				minLength: 1,
				focus: function( event, ui ) {
					jQuery( "input#group" ).val( ui.item.name );
					jQuery( "input#group_id" ).val( ui.item.value );
					return false;
				},
				select: function( event, ui ) {
					jQuery( "input#group" ).val( ui.item.name );
					jQuery( "input#group_id" ).val( ui.item.value );
					return false;
				}
			})
			.data( "autocomplete" )._renderItem = function( ul, item ) {
				var group = "<a>";
					group += "<div style='height:40px; overflow:hidden'>";
						group += "<div style=\'float:left; background-color:#fff; margin-right: 8px; width:40px; height:40px; \'>";	
						group += item.avatar;
						group += "</div>";			
						group += "<div>" + item.name + "</div>";
						group += "<br style='clear:both' />";
					group += "</div>";
				group += "</a>";
				return jQuery( "<li></li>" )
					.data( "item.autocomplete", item )
					.append( group )
					.appendTo( ul );
			};

		jQuery.ajax({
			url: symposium.plugin_pro_url+"groups/ajax/symposium_groups_functions.php", 
			type: "POST",
			data: ({
				action:"getGroups",
				page:1,
				me:symposium.current_user_id
			}),
		    dataType: "html",
			async: true,
			success: function(str){
				jQuery("#symposium_groups").html(str);
			},
			error: function(err){
				//alert("D1:"+err);
			}		
   		});	
	};	

	jQuery("#show_create_group_button").click(function(){
		jQuery("#show_create_group_button").hide();
		jQuery("#groups_results").hide();
		jQuery("#create_group_form").fadeIn("slow");
	});
	
	jQuery("#cancel_create_group_button").click(function(){
		jQuery("#show_create_group_button").show();
		jQuery("#create_group_form").hide();		
		jQuery("#groups_results").fadeIn("slow");
	});
	
	jQuery("#create_group_button").click(function(){
		
		var name_of_group = jQuery('#name_of_group').val();
		var description_of_group = jQuery('#description_of_group').val();
		
		if (name_of_group != '' && description_of_group != '') {
			
			jQuery.ajax({
				url: symposium.plugin_pro_url+"groups/ajax/symposium_groups_functions.php", 
				type: "POST",
				data: ({
					action:"createGroup",
					me:symposium.current_user_id,
					name_of_group:name_of_group,
					description_of_group:description_of_group
				}),
			    dataType: "html",
				async: true,
				success: function(str){
					window.location.href=symposium.group_url+symposium.q+'gid='+trim(str);
				},
				error: function(err){
					alert("createGroup:"+err);
				}		
	   		});				
			
		}
		
	});

	
	jQuery("#symposium_group_invites_button").live('click', function() {

		jQuery(".symposium_pleasewait").inmiddle().show();

		var emails = jQuery('#symposium_group_invites').val();

		jQuery.ajax({
			url: symposium.plugin_pro_url+"groups/ajax/symposium_group_functions.php", 
			type: "POST",
			data: ({
				action:"sendInvites",
				emails:emails,
				group_id:symposium.current_group
			}),
		    dataType: "html",
			async: true,
			success: function(str){
				jQuery(".symposium_pleasewait").hide();
				jQuery('#symposium_group_invites_button').hide();
				jQuery('#symposium_group_invites').hide();
				jQuery('#symposium_group_invites_sent').html(str);
				jQuery('#symposium_group_invites_sent').show().effect("highlight", {}, 3000);
			},
			error: function(err){
				alert("symposium_group_invites_button:"+err);
			}		
   		});				
	});

});

function trim(s)
{
	var l=0; var r=s.length -1;
	while(l < s.length && s[l] == ' ')
	{	l++; }
	while(r > l && s[r] == ' ')
	{	r-=1;	}
	return s.substring(l, r+1);
}